// Fragment Shader for experiments – file "sandbox.frag"

#version 150 core

uniform sampler2D firstTexture;

in  vec3 ex_color;
out vec4 out_color;

void main(void)
{
/*
	float scale = 20.0 / 800.0;
	float fr = fract(gl_FragCoord.x * scale);
	vec3 striped_color = vec3(smoothstep(0.2, 0.8, fr), 0.0, 0.0);
	*/
	out_color = texture(firstTexture, gl_PointCoord) * vec4(ex_color,1.0);
}
